For the complete documentation index, see llms.txt. This page is also available as Markdown.

Update the properties of a registry

Update the properties of a registry

  • "garbageCollectionSchedule" time and days of the week for runs

patch
Authorizations
AuthorizationstringRequired

You will need to base64 encode the string containing your credentials. Separate your username and password with a colon, i.e., username:password and send it as 'Authorization' request header. More details: https://en.wikipedia.org/wiki/Basic_access_authentication

Path parameters
registryIdstring · uuidRequired

The unique ID of the registry

Pattern: ^[0-9a-fA-F]{8}-([0-9a-fA-F]{4}-){3}[0-9a-fA-F]{12}$
Body
apiSubnetAllowListstring[] · max: 25 · nullableOptional

Subnets and IPs that are allowed to access the registry API, supports IPv4 and IPv6. Maximum of 25 items may be specified. If no CIDR is given /32 and /128 are assumed for IPv4 and IPv6 respectively. 0.0.0.0/0 can be used to deny all traffic. Note: If this list is empty or not set, there are no restrictions.

Example: 123.123.123.0/24
Responses
200

OK

application/json
hrefstringOptional
idstring · uuidOptional
typestringOptional
patch/registries/{registryId}
PATCH /containerregistries/registries/{registryId} HTTP/1.1
Host: api.ionos.com
Authorization: Basic username:password
Content-Type: application/json
Accept: */*
Content-Length: 185

{
  "garbageCollectionSchedule": {
    "days": [
      "Monday"
    ],
    "time": "01:23:00+00:00"
  },
  "features": {
    "vulnerabilityScanning": {
      "enabled": true,
      "properties": {}
    }
  },
  "apiSubnetAllowList": [
    "123.123.123.0/24"
  ]
}
{
  "href": "text",
  "id": "123e4567-e89b-12d3-a456-426614174000",
  "metadata": {
    "createdBy": "text",
    "createdByUserId": "text",
    "createdDate": "2026-01-01T00:00:00.000Z",
    "lastModifiedBy": "text",
    "lastModifiedByUserId": "text",
    "lastModifiedDate": "2026-01-01T00:00:00.000Z",
    "state": "text"
  },
  "properties": {
    "garbageCollectionSchedule": {
      "days": [
        "Monday"
      ],
      "time": "01:23:00+00:00"
    },
    "hostname": "my-registry.cr.ionos.com",
    "location": "de/txl",
    "name": "my-registry",
    "storageUsage": {
      "bytes": 1,
      "updatedAt": "2026-01-01T00:00:00.000Z"
    },
    "features": {
      "vulnerabilityScanning": {
        "enabled": true,
        "properties": {}
      }
    },
    "apiSubnetAllowList": [
      "123.123.123.0/24"
    ]
  },
  "type": "text"
}

Last updated

Was this helpful?